Create contract eligibility

Create contract eligibility for an employment.

This will create a new contract eligibility for the employment.

Authentication

This endpoint accepts any one of the following token types:

  • Company-scoped access token (OAuth2AuthorizationCode) — obtained by a company manager through the Authorization Code flow or the Refresh Token flow. See Authentication for partners.
  • Company-scoped access token (assertion) (OAuth2CompanyManagerAssertion) — obtained through the urn:ietf:params:oauth:grant-type:jwt-bearer grant for a company manager. See OAuth Assertion.
  • Customer API token (CustomerAPIToken) — generated by the customer on their Integration Settings page, with the scopes they choose there. See Authorization for customers.

Scopes

Any one of the scopes in a token type's row is enough. all:write works too.

Token typeCategoryRead only ScopeWrite only Scope (read access implicit)
Company-scoped access tokenManage employment documents (employment_documents)-Manage contract eligibility (contract_eligibility:write)
Company-scoped access token (assertion)Manage employment documents (employment_documents)-Manage contract eligibility (contract_eligibility:write)
Customer API tokenManage employment documents (employment_documents)-Manage contract eligibility (contract_eligibility:write)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Employment ID

Body Params

Contract Eligibility Create Parameters

string
enum
required

type of employment eligibility to work in residing country

Allowed:
boolean
required

whether the employer or work restrictions apply

Responses

Callback
Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json